summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorJameson Graef Rollins <jrollins@finestructure.net>2009-07-11 21:49:03 -0400
committerJameson Graef Rollins <jrollins@finestructure.net>2009-07-11 21:49:03 -0400
commit4fa5881562a06c1fefa0302defbc878bb9c8131b (patch)
tree018280e9a7a8e6357e26a6a90e2dafb1789d55ba /tests/basic
parent8aaf54d945f706b138c8465de70441d311ebac2f (diff)
update test to test for cases when authorized_user_ids is a symlink
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic52
1 files changed, 50 insertions, 2 deletions
diff --git a/tests/basic b/tests/basic
index 3386f76..82edf43 100755
--- a/tests/basic
+++ b/tests/basic
@@ -37,7 +37,7 @@ On debian-derived systems, you can set this up with:
perl -MDigest::SHA -e 1 2>/dev/null || { echo "You must have the perl module Digest::SHA installed to run this test.
On debian-derived systems, you can set this up with:
- apt-get install libdigest-sha1-perl" ; exit 1; }
+ apt-get install libdigest-sha-perl" ; exit 1; }
## FIXME: other checks?
@@ -328,20 +328,68 @@ ssh_test 255
chmod o-w "$TESTHOME"/.monkeysphere/authorized_user_ids
monkeysphere-authentication update-users $(whoami)
+# test symlinks
+echo
+echo "##################################################"
+echo "### make authorized_user_ids a symlink and updating..."
+mkdir "$TESTHOME"/.monkeysphere.linktest
+mv "$TESTHOME"/.monkeysphere{,.linktest}/authorized_user_ids
+ln -s "$TESTHOME"/.monkeysphere{.linktest,}/authorized_user_ids
+monkeysphere-authentication update-users $(whoami)
+echo
+echo "##################################################"
+echo "### ssh connection test for server authentication success..."
+ssh_test
+echo
+echo "##################################################"
+echo "### create bad permissions on link dir and updating..."
+chmod o+w "$TESTHOME"/.monkeysphere.linktest
+monkeysphere-authentication update-users $(whoami)
+echo
+echo "##################################################"
+echo "### ssh connection test for server authentication denial..."
+ssh_test 255
+chmod o-w "$TESTHOME"/.monkeysphere.linktest
+# FIXME: implement check of link path, and uncomment this test
+# echo
+# echo "##################################################"
+# echo "### create bad permissions on link dir and updating..."
+# chmod o+w "$TESTHOME"/.monkeysphere
+# monkeysphere-authentication update-users $(whoami)
+# echo
+# echo "##################################################"
+# echo "### ssh connection test for server authentication denial..."
+# ssh_test 255
+# chmod o-w "$TESTHOME"/.monkeysphere
+mv "$TESTHOME"/.monkeysphere{.linktest,}/authorized_user_ids
+rmdir "$TESTHOME"/.monkeysphere.linktest
+
# FIXME: addtest: remove admin as id-certifier and check ssh failure
# FIXME: addtest: add hostname on host key
# FIXME: addtest: revoke hostname on host key and check ssh failure
# addtest: revoke the host key and check ssh failure
+
# test to make sure things are OK after the previous tests:
+echo
+echo "##################################################"
+echo "### settings reset, updating users..."
+monkeysphere-authentication update-users $(whoami)
+echo
+echo "##################################################"
+echo "### ssh connection test for success..."
ssh_test
+
echo
echo "##################################################"
-echo "### ssh connection test for server with revoked key..."
+echo "### revoking host key..."
# generate the revocation certificate and feed it directly to the test
# user's keyring (we're not publishing to the keyservers)
monkeysphere-host revoke-key | gpg --import
+echo
+echo "##################################################"
+echo "### ssh connection test for server with revoked key..."
ssh_test 255